// EdIRIAWd.hpp : header file
//

#ifndef _EDIRIAWD_HPP_
#define _EDIRIAWD_HPP_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000


const CString	g_c_csEnglishName	="English";
const CString	g_c_csFrenchName	="French";

/****************************************************************************/
void		fn_vInitTranslation();

/****************************************************************************/
CString	fn_csTranslateText(CString,CString csLanguage="");

/****************************************************************************/
CString	fn_csFastTranslateText(CString,CString,CString csLanguage="");

/****************************************************************************/
long		fn_lGetNbMetaActions();
//ANNECY CB
long		fn_lGetMetaActionIdFromEditorName(CString&,CString csLanguage="");
long		fn_lGetMetaActionIdFromEditorName(char *,CString csLanguage="");
//long		fn_lGetMetaActionIdFromEditorName(CString,CString csLanguage="");
//END
CString	fn_csGetMetaActionEditorNameFromId(long,CString csLanguage="");

/****************************************************************************/
long		fn_lGetNbProcedures();
//ANNECY CB
long		fn_lGetProcedureIdFromEditorName(CString&,CString csLanguage="");
long		fn_lGetProcedureIdFromEditorName(char *,CString csLanguage="");
//long		fn_lGetProcedureIdFromEditorName(CString,CString csLanguage="");
//END
CString	fn_csGetProcedureEditorNameFromId(long,CString csLanguage="");

/****************************************************************************/
long		fn_lGetNbFunctions();
//ANNECY CB
long		fn_lGetFunctionIdFromEditorName(CString&,CString csLanguage="");
long		fn_lGetFunctionIdFromEditorName(char *,CString csLanguage="");
//long		fn_lGetFunctionIdFromEditorName(CString,CString csLanguage="");
//END
CString	fn_csGetFunctionEditorNameFromId(long,CString csLanguage="");

/****************************************************************************/
long		fn_lGetNbConditions();
//ANNECY CB
long		fn_lGetConditionIdFromEditorName(CString&,CString csLanguage="");
long		fn_lGetConditionIdFromEditorName(char *,CString csLanguage="");
//long		fn_lGetConditionIdFromEditorName(CString,CString csLanguage="");
//END
CString	fn_csGetConditionEditorNameFromId(long,CString csLanguage="");

/****************************************************************************/
long		fn_lGetNbKeyWords();
//ANNECY CB
long		fn_lGetKeyWordIdFromEditorName(CString&,CString csLanguage="");
long		fn_lGetKeyWordIdFromEditorName(char *,CString csLanguage="");
//long		fn_lGetKeyWordIdFromEditorName(CString,CString csLanguage="");
//END
CString	fn_csGetKeyWordEditorNameFromId(long,CString csLanguage="");

/****************************************************************************/
long		fn_lGetNbOperators();
//ANNECY CB
long		fn_lGetOperatorIdFromEditorName(CString&,CString csLanguage="");
long		fn_lGetOperatorIdFromEditorName(char *,CString csLanguage="");
//long		fn_lGetOperatorIdFromEditorName(CString,CString csLanguage="");
//END
CString	fn_csGetOperatorEditorNameFromId(long,CString csLanguage="");

/****************************************************************************/
long		fn_lGetNbFields();
//ANNECY CB
long		fn_lGetFieldIdFromEditorName(CString&,CString csLanguage="");
long		fn_lGetFieldIdFromEditorName(char *,CString csLanguage="");
//long		fn_lGetFieldIdFromEditorName(CString,CString csLanguage="");
//END
CString	fn_csGetFieldEditorNameFromId(long,CString csLanguage="");

/****************************************************************************/
long		fn_lGetNbDsgVarTypes();
//ANNECY CB
long		fn_lGetDsgVarTypeIdFromEditorName(CString&,CString csLanguage="");
long		fn_lGetDsgVarTypeIdFromEditorName(char *,CString csLanguage="");
//long		fn_lGetDsgVarTypeIdFromEditorName(CString,CString csLanguage="");
//END
CString	fn_csGetDsgVarTypeEditorNameFromId(long,CString csLanguage="");

/****************************************************************************/
long		fn_lGetNbDsgVarSaveTypes();
//ANNECY CB
long		fn_lGetDsgVarSaveTypeIdFromEditorName(CString&,CString csLanguage="");
long		fn_lGetDsgVarSaveTypeIdFromEditorName(char *,CString csLanguage="");
//long		fn_lGetDsgVarSaveTypeIdFromEditorName(CString,CString csLanguage="");
//END
CString	fn_csGetDsgVarSaveTypeEditorNameFromId(long,CString csLanguage="");

/****************************************************************************/
long		fn_lGetNbDsgVarInitTypes();
//ANNECY CB
long		fn_lGetDsgVarInitTypeIdFromEditorName(CString&,CString csLanguage="");
long		fn_lGetDsgVarInitTypeIdFromEditorName(char *,CString csLanguage="");
//long		fn_lGetDsgVarInitTypeIdFromEditorName(CString,CString csLanguage="");
//END
CString	fn_csGetDsgVarInitTypeEditorNameFromId(long,CString csLanguage="");

#endif //_EDIRIAWD_HPP_
